extends Navigation

var messages = {
	"start":"Use"
}
var current_message = "start"

## DRAWMAN TEXT
func load_message():
	$help/Viewport/RichTextLabel.bbcode_text = messages[current_message]

## SAVE/LOAD
func save_file(data,file):#Save a json file
	var f = File.new()
	f.open(file,f.WRITE)
	f.store_string(to_json(data))
	f.close()

func load_file(file):
	var f = File.new()
	var data = {}
	if(f.file_exists(file)):
		f.open(file,f.READ)
		var jparse = f.get_as_text()
		jparse = JSON.parse(jparse)
		if(jparse.error != OK):
			print_debug("JSON ERROR: ",jparse.error_line,jparse.error_string)
		else:
			data = jparse.result
		f.close()
	return data

## MAIN
func _ready():
	if(OS.is_debug_build()):
		load_file("res://drawman.json")
	else:
		load_file("user://drawman.json")